Scotflight Libraries

The Scotflight Libraries are required for our scenery to display correctly.

The latest version is V5.0 - 31st January 2018.

CLICK HERE to download the installer for this version

For technical support, please contact Support@scotflightscenery.com